summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gentoo.org>2017-12-09 06:28:42 -0700
committerNicolas Bock <nicolasbock@gentoo.org>2017-12-09 06:28:58 -0700
commitc1d7d7de94aea9f6202473c789c6c2a9422f71aa (patch)
tree8e259779d0aaa6f63689616753e01ed88df1ba21 /mail-client/neomutt
parentx11-misc: Update Manifest hashes. (diff)
downloadgentoo-c1d7d7de94aea9f6202473c789c6c2a9422f71aa.tar.gz
gentoo-c1d7d7de94aea9f6202473c789c6c2a9422f71aa.tar.bz2
gentoo-c1d7d7de94aea9f6202473c789c6c2a9422f71aa.zip
mail-client/neomutt: Version bump to neomutt-20121208
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'mail-client/neomutt')
-rw-r--r--mail-client/neomutt/Manifest1
-rw-r--r--mail-client/neomutt/neomutt-20171208.ebuild129
2 files changed, 130 insertions, 0 deletions
diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
index 9cc35ec6fea..0737e744af0 100644
--- a/mail-client/neomutt/Manifest
+++ b/mail-client/neomutt/Manifest
@@ -3,3 +3,4 @@ DIST neomutt-20170912.tar.gz 2533245 BLAKE2B fde5690d2f80b0ef55ddc753487905130b1
DIST neomutt-20171006.tar.gz 2706019 BLAKE2B b16f065fd1c5b829c6b73614c42e5353b968fe9111d445319927a48ec2612e59ac23dd3e06948c7c5b6f34bdd1646773cf91ae21737adf67ff4019c9850895e2 SHA512 adfa702ee642ce58b11dab1d2b805626d8f90e8cc88731cb7e051df5b785010ac43d90eb14d2a5ace02d3abaf921c9f36f86f627063036bcb7f5724912ca134d
DIST neomutt-20171013.tar.gz 2706753 BLAKE2B d8801f4168ce978b8b2578a1fa28b8f29e98700c2b3c11dcce7b9cdf132a755403ed1b54216426736c1dde78c580320ebac4fbb6e3ca6f92abc1c1e6d1e4fd1b SHA512 9e4499b165f25091d73868c62b14f950bdfc032444c0cb3619e99a8299d29c3d1f24078e15537e693a3af69ae0681d59e25a73b857882cce2653be593231ffac
DIST neomutt-20171027.tar.gz 2682699 BLAKE2B 4e3eda453a8c19d2ec1460c0813e030ef8209e8761d1ef768698cf624c11a2d3b22b941da78fb2d39ef44d6f39c7b30786248448910e59170f50b6d6e010a331 SHA512 e2df0d20c0729abb32d1614c94c08cca0cecad1cb36a380f8210e2df3e353ffc08f66abf1e5e3a1cf4a746437d59c15262ce05ab1a820561466bf7e3a5d6b894
+DIST neomutt-20171208.tar.gz 2703917 BLAKE2B 709cdb7b00e887f01bf6b1e805b25938ceca1a25d77c8674150e32ae4ac28aad10479ab54f172e2b07cab98b903973190faa138de1061ebbf4fcbe09d544ecf9 SHA512 e4f8a5f01d96d6f82959fe583634585deee28cf146c768e5049281b273c5b76b91ee01c9d9382a26f72a092c14341905129e73bf5c6ba19baae7823bc6680671
diff --git a/mail-client/neomutt/neomutt-20171208.ebuild b/mail-client/neomutt/neomutt-20171208.ebuild
new file mode 100644
index 00000000000..406bc5c0cc7
--- /dev/null
+++ b/mail-client/neomutt/neomutt-20171208.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic
+
+if [[ ${PV} =~ 9999$ ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/neomutt/neomutt.git"
+ EGIT_CHECKOUT_DIR="${WORKDIR}/neomutt-${P}"
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A small but very powerful text-based mail client"
+HOMEPAGE="https://www.neomutt.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="berkdb crypt doc gdbm gnutls gpg gpgme idn kerberos kyotocabinet
+ libressl lmdb nls notmuch pgp_classic qdbm sasl selinux slang smime
+ smime_classic ssl tokyocabinet"
+
+CDEPEND="
+ app-misc/mime-types
+ berkdb? ( >=sys-libs/db-4:= )
+ gdbm? ( sys-libs/gdbm )
+ kyotocabinet? ( dev-db/kyotocabinet )
+ lmdb? ( dev-db/lmdb )
+ nls? ( virtual/libintl )
+ qdbm? ( dev-db/qdbm )
+ tokyocabinet? ( dev-db/tokyocabinet )
+ gnutls? ( >=net-libs/gnutls-1.0.17 )
+ gpg? ( >=app-crypt/gpgme-0.9.0 )
+ gpgme? ( >=app-crypt/gpgme-0.9.0 )
+ idn? ( net-dns/libidn )
+ kerberos? ( virtual/krb5 )
+ notmuch? ( net-mail/notmuch )
+ sasl? ( >=dev-libs/cyrus-sasl-2 )
+ !slang? ( sys-libs/ncurses:0 )
+ slang? ( sys-libs/slang )
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-0.9.6:0 )
+ libressl? ( dev-libs/libressl )
+ )
+"
+DEPEND="${CDEPEND}
+ net-mail/mailbase
+ doc? (
+ dev-libs/libxml2
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ || ( www-client/lynx www-client/w3m www-client/elinks )
+ )"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-mutt )
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ "$(use_enable doc)"
+ "$(use_enable gpg gpgme)"
+ "$(use_enable gpgme)"
+ "$(use_enable nls)"
+ "$(use_enable notmuch)"
+ "$(use_enable crypt pgp)"
+ "$(use_enable pgp_classic pgp)"
+ "$(use_enable smime)"
+ "$(use_enable smime_classic smime)"
+ "$(use_with berkdb bdb)"
+ "$(use_with gdbm)"
+ "$(use_with idn)"
+ "$(use_with kerberos gss)"
+ "$(use_with kyotocabinet)"
+ "$(use_with lmdb)"
+ "$(use_with qdbm)"
+ "$(use_with sasl)"
+ "$(use_with tokyocabinet)"
+ "--with-$(usex slang slang curses)"
+ "--sysconfdir=${EPREFIX}/etc/${PN}"
+ "--with-docdir=${EPREFIX}/usr/share/doc/${PF}"
+ )
+
+ if use gnutls; then
+ myconf+=( "--with-gnutls" )
+ elif use ssl; then
+ myconf+=( "--with-ssl" )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # A man-page is always handy, so fake one
+ if use !doc; then
+ emake -C doc neomuttrc.man
+ # make the fake slightly better, bug #413405
+ sed -e 's#@docdir@/manual.txt#http://www.neomutt.org/guide#' \
+ -e 's#in @docdir@,#at http://www.neomutt.org/,#' \
+ -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
+ -e "s#@bindir@#${EPREFIX}/usr/bin#" \
+ doc/neomutt.man > neomutt.1 || die
+ cp doc/neomuttrc.man neomuttrc.5 || die
+ doman neomutt.1 neomuttrc.5
+ fi
+
+ dodoc COPYRIGHT LICENSE* ChangeLog* README*
+}
+
+pkg_postinst() {
+ ewarn "Pleae note that the crypto related USE flags of neomutt have changed."
+ ewarn "(https://bugs.gentoo.org/637176)"
+ ewarn "crypt -> pgp_classic"
+ ewarn "gpg -> gpgme"
+ ewarn "smime -> smime_classic"
+ ewarn "The old USE flags still work but their use is deprecated and will"
+ ewarn "be removed in a future release."
+}